<inishell_config application="ISSM prototype">

<!-- mesh -->
<parameter key ="Dimension" type="alternative" optional="false">
     <section name="mesh" />
     <option value="0" type="string" default="true">
        <help> dimension is 0 </help>
     </option>
     <option value="3" type="string">
        <help> dimension is 3 </help>
       <!-- Elements and vertices of the original 2d mesh -->
          <parameter key ="x2d" type="double" default="N/A">
              <help> vertices x coordinate [m] </help>
          </parameter>
          <parameter key ="y2d" type="double" default="N/A">
              <help> vertices y coordinate [m] </help>
          </parameter>
          <parameter key ="elements2d" type="double" default="N/A">
              <help> vertex indices of the mesh elements </help>
          </parameter>
          <parameter key ="numberofvertices2d" type="double" default="0">
              <help> number of vertices </help>
          </parameter>
          <parameter key ="numberofelements2d" type="double" default="0">
              <help> number of elements </help>
          </parameter>
     </option>
     <help> select a mesh dimension 0(default) or 3 </help>
</parameter>
<frame key="1" label="Elements and vertices">
<section name="mesh" />
  <parameter key ="numberofelements" type="double" default="0">
     <section name="mesh" />
     <help> number of elements </help>
  </parameter>
  <parameter key ="numberofvertices" type="double" default="0">
     <section name="mesh" />
     <help> number of verticies </help>
  </parameter>
  <parameter key ="elements" type="double" default="N/A">
     <section name="mesh" />
     <help> vertex indices of the mesh elements </help>
  </parameter>
  <parameter key ="x" type="double" default="N/A">
     <section name="mesh" />
     <help> vertices x coordinate [m] </help>
  </parameter>
  <parameter key ="y" type="double" default="N/A">
     <section name="mesh" />
     <help> vertices y coordinate [m] </help>
  </parameter>
  <parameter key ="z" type="double" default="N/A">
     <section name="mesh" />
     <help> vertices z coordinate [m] </help>
  </parameter>
  <parameter key ="edges" type="double" default="N/A">
     <section name="mesh" />
     <help> edges of the 2d mesh (vertex1 vertex2 element1 element2) </help>
  </parameter>
  <parameter key ="numberofedges" type="double" default="0">
     <section name="mesh" />
     <help> number of edges of the 2d mesh </help>
  </parameter>
</frame>
<frame key="2" label="Properties">
<section name="mesh" />
  <parameter key ="selected dimension" type="double" default="0">
     <section name="mesh" />
     <help> mesh dimension </help>
  </parameter>
  <parameter key ="numberoflayers" type="double" default="0">
     <section name="mesh" />
     <help> number of extrusion layers </help>
  </parameter>
  <parameter key ="vertexonbed" type="double" default="N/A">
     <section name="mesh" />
     <help> lower vertices flags list </help>
  </parameter>
  <parameter key ="elementonbed" type="double" default="N/A">
     <section name="mesh" />
     <help> lower elements flags list </help>
  </parameter>
  <parameter key ="vertexonsurface" type="double" default="N/A">
     <section name="mesh" />
     <help> upper vertices flags list </help>
  </parameter>
  <parameter key ="elementonsurface" type="double" default="N/A">
     <section name="mesh" />
     <help> upper element flag list </help>
  </parameter>
  <parameter key ="uppervertex" type="double" default="N/A">
     <section name="mesh" />
     <help> upper vertex list (NaN for vertex on the upper surface) </help>
  </parameter>
  <parameter key ="upperelements" type="double" default="N/A">
     <section name="mesh" />
     <help> upper element list (NaN for element on the upper layer) </help>
  </parameter>
  <parameter key ="lowervertex" type="double" default="N/A">
     <section name="mesh" />
     <help> lower vertex list (NaN for vertex on the lower surface) </help>
  </parameter>
  <parameter key ="lowerelements" type="double" default="N/A">
     <section name="mesh" />
     <help> lower element list (NaN for element on the lower layer </help>
  </parameter>
  <parameter key ="vertexonboundary" type="double" default="N/A">
     <section name="mesh" />
     <help> vertices on the boundary of the domain flag list </help>
  </parameter>
  <parameter key ="segments" type="double" default="N/A">
     <section name="mesh" />
     <help> edges on domain boundary (vertex1 vertex2 element) </help>
  </parameter>
  <parameter key ="segmentmarkers" type="double" default="N/A">
     <section name="mesh" />
     <help> number associated to each segment </help>
  </parameter>
  <parameter key ="vertexconnectivity" type="double" default="N/A">
     <section name="mesh" />
     <help> list of vertices connected to vertex_i </help>
  </parameter>
  <parameter key ="elementconnectivity" type="double" default="N/A">
     <section name="mesh" />
     <help> list of vertices connected to element_i </help>
  </parameter>
  <parameter key ="average_vertex_connectivity" type="double" default="25">
     <section name="mesh" />
     <help> average number of vertices connected to one vertex </help>
  </parameter>
</frame>
<frame key="3" label="Extracted Model">
<section name="mesh" />
  <parameter key ="extractedvertices" type="double" default="N/A">
     <section name="mesh" />
     <help> vertices extracted from the model </help>
  </parameter>
  <parameter key ="extractedelements" type="double" default="N/A">
     <section name="mesh" />
     <help> elements extracted from the model </help>
  </parameter>
</frame>
<frame key="4" label="Projection">
<section name="mesh" />
  <parameter key ="lat" type="double" default="N/A">
     <section name="mesh" />
     <help> vertices latitude [degrees] </help>
  </parameter>
  <parameter key ="long" type="double" default="N/A">
     <section name="mesh" />
     <help> verticies longitude [degrees] </help>
  </parameter>
  <parameter key ="hemisphere" type="double" default="N/A">
     <section name="mesh" />
     <help> Indicate hemisphere 'n' or 's' </help>
  </parameter></frame>


<!-- mask -->
<parameter key ="groundedice_levelset" type="double" default="NaN">
     <section name="mask" />
     <help> is ice grounded ? grounded ice if > 0, grounding line position if = 0, floating ice if &amp;lt; 0 </help>
</parameter>
<parameter key ="ice_levelset" type="double" default="NaN">
     <section name="mask" />
     <help> presence of ice if > 0, icefront position if = 0, no ice if &amp;lt; 0 </help>
</parameter>

<!-- geometry -->
<frame key="1" label="Geometry parameters">
<section name="geometry" />
<parameter key ="surface" type="path" optional="false">
     <section name="geometry" />
     <help> surface elevation [m] </help>
</parameter>
<parameter key ="thickness" type="path" optional="false">
     <section name="geometry" />
     <help> ice thickness [m] </help>
</parameter>
<parameter key ="bed" type="path" optional="false">
     <section name="geometry" />
     <help> bed elevation [m] </help>
</parameter>
<parameter key ="bathymetry" type="double" default="N/A">
     <section name="geometry" />
     <help> bathymetry elevation [m] </help>
</parameter>
<parameter key ="hydrostatic_ratio" type="double" default="N/A">
     <section name="geometry" />
     <help> coefficient for ice shelves; thickness correction: hydrostatic_ratio H_obs+ (1-hydrostatic_ratio) H_hydro </help>
</parameter></frame>


<!-- constants -->
<parameter key ="g" type="double" default="9.81">
     <section name="constants" />
     <help> gravitational acceleration [m/s^2] </help>
</parameter>
<parameter key ="yts" type="double" default="31536000">
     <section name="constants" />
     <help> number of seconds in a year [s/yr] </help>
</parameter>
<parameter key ="referencetemperature" type="double" default="223.15">
     <section name="constants" />
     <help> reference temperature used in the enthalpy model [K] </help>
</parameter>

<!-- surfaceforcings(SMB) -->
<parameter key ="mass_balance" type="double" default="NaN">
     <section name="surfaceforcings(SMB)" />
     <help> surface mass balance [m/yr ice eq] </help>
</parameter>

<!-- basalforcings -->
<parameter key ="melting_rate" type="double" default="NaN">
     <section name="basalforcings" />
     <help> basal melting rate (positive if melting) [m/yr] </help>
</parameter>
<parameter key ="melting_rate_correction" type="double" default="NaN">
     <section name="basalforcings" />
     <help> additional melting applied to compensate for dh/dt [m/yr] </help>
</parameter>
<parameter key ="geothermalflux" type="double" default="NaN">
     <section name="basalforcings" />
     <help> geothermal heat flux [W/m^2] </help>
</parameter>

<!-- materials -->
<parameter key ="rho_ice" type="double" default="917">
     <section name="materials" />
     <help> ice density [kg/m^3] </help>
</parameter>
<parameter key ="rho_water" type="double" default="1023">
     <section name="materials" />
     <help> ocean water density [kg/m^3] </help>
</parameter>
<parameter key ="rho_freshwater" type="double" default="1000">
     <section name="materials" />
     <help> fresh water density [kg/m^3] </help>
</parameter>
<parameter key ="mu_water" type="double" default="0.001787">
     <section name="materials" />
     <help> water viscosity [N s/m^2] </help>
</parameter>
<parameter key ="heatcapacity" type="double" default="2093">
     <section name="materials" />
     <help> heat capacity [J/kg/K] </help>
</parameter>
<parameter key ="latentheat" type="double" default="334000">
     <section name="materials" />
     <help> latent heat of fusion [J/kg] </help>
</parameter>
<parameter key ="thermalconductivity" type="double" default="2.4">
     <section name="materials" />
     <help> ice thermal conductivity [W/m/K] </help>
</parameter>
<parameter key ="temperateiceconductivity" type="double" default="0.24">
     <section name="materials" />
     <help> temperate ice thermal conductivity [W/m/K] </help>
</parameter>
<parameter key ="meltingpoint" type="double" default="273.15">
     <section name="materials" />
     <help> melting point of ice at 1atm in K </help>
</parameter>
<parameter key ="beta" type="double" default="9.8e-08">
     <section name="materials" />
     <help> rate of change of melting point with pressure [K/Pa] </help>
</parameter>
<parameter key ="mixed_layer_capacity" type="double" default="3974">
     <section name="materials" />
     <help> mixed layer capacity [W/kg/K] </help>
</parameter>
<parameter key ="thermal_exchange_velocity" type="double" default="0.0001">
     <section name="materials" />
     <help> thermal exchange velocity [m/s] </help>
</parameter>
<parameter key ="rheology_B" type="double" default="N/A">
     <section name="materials" />
     <help> flow law parameter [Pa/s^(1/n)] </help>
</parameter>
<parameter key ="rheology_n" type="double" default="N/A">
     <section name="materials" />
     <help> Glens flow law exponent </help>
</parameter>
<parameter key ="rheology_law" type="char" default="'Paterson'">
     <section name="materials" />
     <help> law for the temperature dependance of the rheology: "None", "Paterson",  "Arrhenius" or "LliboutryDuval" </help>
</parameter>
<parameter key ="lithosphere_shear_modulus" type="double" default="67000000000">
     <section name="materials" />
     <help> Lithosphere shear modulus [Pa] </help>
</parameter>
<parameter key ="lithosphere_density" type="double" default="3.32">
     <section name="materials" />
     <help> Lithosphere density [g/cm^-3] </help>
</parameter>
<parameter key ="mantle_shear_modulus" type="double" default="145000000000">
     <section name="materials" />
     <help> Mantle shear modulus [Pa] </help>
</parameter>
<parameter key ="mantle_density" type="double" default="3.34">
     <section name="materials" />
     <help> Mantle density [g/cm^-3] </help>
</parameter>


<!-- damage -->
<!-- Note: this class depends on different input of law -->
<parameter key ="law" type="alternative" optional="false">
	<section name="damage" />
	<option value="undamage" type="string" default="true">
		<help> law = undamage </help>
	</option>
	<option value="pralong" type="string" default="false">
		<help> law = pralong </help>
		<parameter key ="stress_threshold" type="double" default="0">
			<help> damage stress threshold [Pa] </help>
		</parameter>
		<parameter key ="c1" type="double" default="0">
			<help> damage parameter 1 </help>
		</parameter>
		<parameter key ="c2" type="double" default="0">
			<help> damage parameter 2 </help>
		</parameter>
		<parameter key ="c3" type="double" default="0">
			<help> damage parameter 3 [W/m^2] </help>
		</parameter>
		<parameter key ="c4" type="double" default="0">
			<help> damage parameter 4 </help>
		</parameter>
		<parameter key ="healing" type="double" default="0">
			<help> damage healing parameter 1 </help>
		</parameter>
		<parameter key ="equiv_stress" type="double" default="0">
			<help> 0: von Mises </help>
		</parameter>
		<parameter key ="requested_outputs" type="cell" default="{'default'}">
			<help> additional outputs requested </help>
		</parameter>
	</option>
	<help> damage law (string) from {"undamaged","pralong"} </help>
</parameter>
<parameter key ="D" type="double" default="0">
     <section name="damage" />
     <help> damage tensor (scalar) </help>
</parameter>
<parameter key ="law" type="char" default="undamaged">
     <section name="damage" />
     <help> damage law (string) from {"undamaged","pralong"} </help>
</parameter>
<parameter key ="spcdamage" type="double" default="NaN">
     <section name="damage" />
     <help> damage constraints (NaN means no constraint) </help>
</parameter>
<parameter key ="max_damage" type="double" default="0.99999">
     <section name="damage" />
     <help> maximum possible damage (0&amp;lt;=max_damage&amp;lt;1) </help>
</parameter>
<parameter key ="stabilization" type="double" default="2">
     <section name="damage" />
     <help> 0: no, 1: artificial_diffusivity, 2: SUPG </help>
</parameter>
<parameter key ="maxiter" type="double" default="100">
     <section name="damage" />
     <help> maximum number of non linear iterations </help>
</parameter>
<parameter key ="penalty_lock" type="double" default="0">
     <section name="damage" />
     <help> stabilize unstable damage constraints that keep zigzagging after n iteration (default is 0, no stabilization) </help>
</parameter>
<parameter key ="penalty_threshold" type="double" default="0">
     <section name="damage" />
     <help> threshold to declare convergence of damage evolution solution (default is 0) </help>
</parameter>
<parameter key ="penalty_factor" type="double" default="3">
     <section name="damage" />
     <help> scaling exponent (default is 3) </help>
</parameter>


<!-- Friction: Sigma= drag^2 * Neff ^r * u ^s, with Neff=rho_ice*g*thickness+rho_water*g*bed, r=q/p and s=1/p -->
<frame key="1" label="Friction: Sigma= drag^2 * Neff ^r * u ^s, with Neff=rho_ice*g*thickness+rho_water*g*bed, r=q/p and s=1/p">
<section name="friction" />
<parameter key ="coefficient" type="double" default="N/A">
     <section name="friction" />
     <help> friction coefficient [SI] </help>
</parameter>
<parameter key ="p" type="double" default="N/A">
     <section name="friction" />
     <help> p exponent </help>
</parameter>
<parameter key ="q" type="double" default="N/A">
     <section name="friction" />
     <help> q exponent </help>
</parameter></frame>


<!-- flowequation -->
<frame key="1" label="Flow equation parameters">
<section name="flowequation" />
<parameter key ="isSIA" type="double" default="0">
     <section name="flowequation" />
     <help> is the Shallow Ice Approximation (SIA) used ? </help>
</parameter>
<parameter key ="isSSA" type="double" default="0">
     <section name="flowequation" />
     <help> is the Shelfy-Stream Approximation (SSA) used ? </help>
</parameter>
<parameter key ="isL1L2" type="double" default="0">
     <section name="flowequation" />
     <help> is the L1L2 approximation used ? </help>
</parameter>
<parameter key ="isHO" type="double" default="0">
     <section name="flowequation" />
     <help> is the Higher-Order (HO) approximation used ? </help>
</parameter>
<parameter key ="isFS" type="double" default="0">
     <section name="flowequation" />
     <help> are the Full-FS (FS) equations used ? </help>
</parameter>
<parameter key ="fe_SSA" type="char" default="'P1'">
     <section name="flowequation" />
     <help> Finite Element for SSA  "P1", "P1bubble" "P1bubblecondensed" "P2" </help>
</parameter>
<parameter key ="fe_HO" type="char" default="'P1'">
     <section name="flowequation" />
     <help> Finite Element for HO   "P1" "P1bubble" "P1bubblecondensed" "P1xP2" "P2xP1" "P2" </help>
</parameter>
<parameter key ="fe_FS" type="char" default="'MINIcondensed'">
     <section name="flowequation" />
     <help> Finite Element for FS   "P1P1" (debugging only) "P1P1GLS" "MINIcondensed" "MINI" "TaylorHood" </help>
</parameter>
<parameter key ="vertex_equation" type="double" default="N/A">
     <section name="flowequation" />
     <help> flow equation for each vertex </help>
</parameter>
<parameter key ="element_equation" type="double" default="N/A">
     <section name="flowequation" />
     <help> flow equation for each element </help>
</parameter>
<parameter key ="borderSSA" type="double" default="N/A">
     <section name="flowequation" />
     <help> vertices on SSAs border (for tiling) </help>
</parameter>
<parameter key ="borderHO" type="double" default="N/A">
     <section name="flowequation" />
     <help> vertices on HOs border (for tiling) </help>
</parameter>
<parameter key ="borderFS" type="double" default="N/A">
     <section name="flowequation" />
     <help> vertices on FS border (for tiling) </help>
</parameter></frame>


<!-- Timestepping -->
<parameter key ="start_time" type="double" default="0">
     <section name="timestepping" />
     <help> simulation starting time [yr] </help>
</parameter>
<parameter key ="final_time" type="double" default="5">
     <section name="timestepping" />
     <help> final time to stop the simulation [yr] </help>
</parameter>
<parameter key ="time_step" type="double" default="0.5">
     <section name="timestepping" />
     <help> length of time steps [yr] </help>
</parameter>
<parameter key ="time_adapt" type="double" default="0">
     <section name="timestepping" />
     <help> use cfl condition to define time step ? (0 or 1)  </help>
</parameter>
<parameter key ="cfl_coefficient" type="double" default="0.5">
     <section name="timestepping" />
     <help> coefficient applied to cfl condition </help>
</parameter>


<!-- initialization -->
<frame key="1" label="Initial field values">
<section name="initialization" />
<parameter key ="vx" type="double" default="NaN">
     <section name="initialization" />
     <help> x component of velocity [m/yr] </help>
</parameter>
<parameter key ="vy" type="double" default="NaN">
     <section name="initialization" />
     <help> y component of velocity [m/yr] </help>
</parameter>
<parameter key ="vz" type="double" default="NaN">
     <section name="initialization" />
     <help> z component of velocity [m/yr] </help>
</parameter>
<parameter key ="vel" type="double" default="NaN">
     <section name="initialization" />
     <help> velocity norm [m/yr] </help>
</parameter>
<parameter key ="pressure" type="double" default="NaN">
     <section name="initialization" />
     <help> pressure field [Pa] </help>
</parameter>
<parameter key ="temperature" type="double" default="NaN">
     <section name="initialization" />
     <help> fraction of water in the ice </help>
</parameter>
<parameter key ="waterfraction" type="double" default="NaN">
     <section name="initialization" />
     <help> ice thickness [m] </help>
</parameter>
<parameter key ="sediment_head" type="double" default="NaN">
     <section name="initialization" />
     <help> sediment water head of subglacial system [m] </help>
</parameter>
<parameter key ="epl_head" type="double" default="NaN">
     <section name="initialization" />
     <help> epl water head of subglacial system [m] </help>
</parameter>
<parameter key ="watercolumn" type="double" default="NaN">
     <section name="initialization" />
     <help> thickness of subglacial water [m] </help>
</parameter></frame>


<!-- rifts -->
<parameter key ="riftstruct" type="double" default="NaN">
     <section name="rifts" />
     <help> structure containing all rift information (vertices coordinates, segments, type of melange, ...) </help>
</parameter>
<parameter key ="riftproperties" type="double" default="NaN">
     <section name="rifts" />
     <help> N/A </help>
</parameter>


<!-- Debug -->
<parameter key ="valgrind" type="logical" optional="false">
     <section name="debug" />
        <option value="false" type="string" default="true"></option>
     <help> use Valgrind to debug (0 or 1) </help>
</parameter>
<parameter key ="gprof" type="logical" optional="false">
     <section name="debug" />
        <option value="false" type="string" default="true"></option>
     <help> use gnu-profiler to find out where the time is spent </help>
</parameter>
<parameter key ="profiling" type="logical" optional="false">
     <section name="debug" />
        <option value="false" type="string" default="true"></option>
     <help> enables profiling (memory, flops, time) </help>
</parameter>

<!-- verbose -->
<parameter key ="mprocessor" type="logical" optional="false">
     <section name="verbose" />
        <option value="false" type="string" default="true"></option>
     <help>  </help>
</parameter>
<parameter key ="module" type="logical" optional="false">
     <section name="verbose" />
        <option value="false" type="string" default="true"></option>
     <help>  </help>
</parameter>
<parameter key ="solution" type="logical" optional="false">
     <section name="verbose" />
        <option value="true" type="string" default="true"></option>
     <help>  </help>
</parameter>
<parameter key ="solver" type="logical" optional="false">
     <section name="verbose" />
        <option value="false" type="string" default="true"></option>
     <help>  </help>
</parameter>
<parameter key ="convergence" type="logical" optional="false">
     <section name="verbose" />
        <option value="false" type="string" default="true"></option>
     <help>  </help>
</parameter>
<parameter key ="control" type="logical" optional="false">
     <section name="verbose" />
        <option value="true" type="string" default="true"></option>
     <help>  </help>
</parameter>
<parameter key ="qmu" type="logical" optional="false">
     <section name="verbose" />
        <option value="true" type="string" default="true"></option>
     <help>  </help>
</parameter>
<parameter key ="autodiff" type="logical" optional="false">
     <section name="verbose" />
        <option value="false" type="string" default="true"></option>
     <help>  </help>
</parameter>

<!-- settings -->
<parameter key ="results_on_nodes" type="double" default="0">
     <section name="settings" />
     <help> results are output for all the nodes of each element </help>
</parameter>
<parameter key ="io_gather" type="double" default="1">
     <section name="settings" />
     <help> I/O gathering strategy for result outputs (default 1) </help>
</parameter>
<parameter key ="lowmem" type="double" default="0">
     <section name="settings" />
     <help> is the memory limited ? (0 or 1) </help>
</parameter>
<parameter key ="output_frequency" type="double" default="1">
     <section name="settings" />
     <help> frequency at which results are saved in all solutions with multiple time_steps </help>
</parameter>
<parameter key ="waitonlock" type="double" default="Inf">
     <section name="settings" />
     <help> maximum number of minutes to wait for batch results (NaN to deactivate) </help>
</parameter>
<parameter key ="upload_server" type="char" default="N/A">
     <section name="settings" />
     <help> server hostname where model should be uploaded </help>
</parameter>
<parameter key ="upload_path" type="char" default="N/A">
     <section name="settings" />
     <help> path on server where model should be uploaded </help>
</parameter>
<parameter key ="upload_login" type="char" default="N/A">
     <section name="settings" />
     <help> server login </help>
</parameter>
<parameter key ="upload_port" type="double" default="0">
     <section name="settings" />
     <help> port login (default is 0) </help>
</parameter>
<parameter key ="upload_filename" type="char" default="N/A">
     <section name="settings" />
     <help> unique id generated when uploading the file to server </help>
</parameter>

<!-- generic -->
<parameter key ="name" type="char" default="'XPS'">
     <section name="cluster" />
     <help> N/A </help>
</parameter>
<parameter key ="login" type="char" default="N/A">
     <section name="cluster" />
     <help> N/A </help>
</parameter>
<parameter key ="np" type="double" default="1">
     <section name="cluster" />
     <help> N/A </help>
</parameter>
<parameter key ="port" type="double" default="0">
     <section name="cluster" />
     <help> N/A </help>
</parameter>
<parameter key ="codepath" type="char" default=":/home/casper/work/issm/trunk:/home/casper/work/issm/trunk/bin">
     <section name="cluster" />
     <help> N/A </help>
</parameter>
<parameter key ="executionpath" type="char" default=":/home/casper/work/issm/trunk:/home/casper/work/issm/trunk:/home/casper/work/issm/trunk:/home/casper/work/issm/trunk/execution">
     <section name="cluster" />
     <help> N/A </help>
</parameter>
<parameter key ="etcpath" type="char" default=":/home/casper/work/issm/trunk:/home/casper/work/issm/trunk:/home/casper/work/issm/trunk/etc">
     <section name="cluster" />
     <help> N/A </help>
</parameter>
<parameter key ="valgrind" type="char" default=":/home/casper/work/issm/trunk:/home/casper/work/issm/trunk:/home/casper/work/issm/trunk:/home/casper/work/issm/trunk:/home/casper/work/issm/trunk/externalpackages/valgrind/install/bin/valgrind">
     <section name="cluster" />
     <help> N/A </help>
</parameter>
<parameter key ="valgrindlib" type="char" default=":/home/casper/work/issm/trunk:/home/casper/work/issm/trunk:/home/casper/work/issm/trunk:/home/casper/work/issm/trunk:/home/casper/work/issm/trunk:/home/casper/work/issm/trunk/externalpackages/valgrind/install/lib/libmpidebug.so">
     <section name="cluster" />
     <help> N/A </help>
</parameter>
<parameter key ="valgrindsup" type="char" default=":/home/casper/work/issm/trunk:/home/casper/work/issm/trunk:/home/casper/work/issm/trunk:/home/casper/work/issm/trunk:/home/casper/work/issm/trunk:/home/casper/work/issm/trunk:/home/casper/work/issm/trunk/externalpackages/valgrind/issm.supp">
     <section name="cluster" />
     <help> N/A </help>
</parameter>
<parameter key ="verbose" type="double" default="1">
     <section name="cluster" />
     <help> N/A </help>
</parameter>

<!-- balancethickness -->
<parameter key ="spcthickness" type="double" default="N/A">
     <section name="balancethickness" />
     <help> thickness constraints (NaN means no constraint) [m] </help>
</parameter>
<parameter key ="thickening_rate" type="double" default="N/A">
     <section name="balancethickness" />
     <help> ice thickening rate used in the mass conservation (dh/dt) [m/yr] </help>
</parameter>
<parameter key ="stabilization" type="double" default="1">
     <section name="balancethickness" />
     <help> 0: None, 1: SU, 2: SSAs artificial diffusivity, 3:DG </help>
</parameter>

<!-- StressBalance solution parameters: -->
<frame key="1" label="Convergence criteria">
<section name="stressbalance" />
<parameter key ="restol" type="double" default="0.0001">
     <section name="stressbalance" />
     <help> mechanical equilibrium residual convergence criterion </help>
</parameter>
<parameter key ="reltol" type="double" default="0.01">
     <section name="stressbalance" />
     <help> velocity relative convergence criterion, NaN: not applied </help>
</parameter>
<parameter key ="abstol" type="double" default="10">
     <section name="stressbalance" />
     <help> velocity absolute convergence criterion, NaN: not applied </help>
</parameter>
<parameter key ="isnewton" type="double" default="0">
     <section name="stressbalance" />
     <help> 0: Picards fixed point, 1: Newtons method, 2: hybrid </help>
</parameter>
<parameter key ="maxiter" type="double" default="100">
     <section name="stressbalance" />
     <help> maximum number of nonlinear iterations </help>
</parameter>
<parameter key ="viscosity_overshoot" type="double" default="0">
     <section name="stressbalance" />
     <help> over-shooting constant new=new+C*(new-old) </help>
</parameter>
</frame>
<frame key="2" label="Boundary conditions">
<section name="stressbalance" />
<parameter key ="spcvx" type="double" default="N/A">
     <section name="stressbalance" />
     <help> x-axis velocity constraint (NaN means no constraint) [m/yr] </help>
</parameter>
<parameter key ="spcvy" type="double" default="N/A">
     <section name="stressbalance" />
     <help> y-axis velocity constraint (NaN means no constraint) [m/yr] </help>
</parameter>
<parameter key ="spcvz" type="double" default="N/A">
     <section name="stressbalance" />
     <help> z-axis velocity constraint (NaN means no constraint) [m/yr] </help>
</parameter>
</frame>
<frame key="3" label="Rift options">
<section name="stressbalance" />
<parameter key ="rift_penalty_threshold" type="double" default="0">
     <section name="stressbalance" />
     <help> threshold for instability of mechanical constraints </help>
</parameter>
<parameter key ="rift_penalty_lock" type="double" default="10">
     <section name="stressbalance" />
     <help> number of iterations before rift penalties are locked </help>
</parameter>
</frame>
<frame key="4" label="Other">
<section name="stressbalance" />
<parameter key ="shelf_dampening" type="double" default="0">
     <section name="stressbalance" />
     <help> use dampening for floating ice ? Only for FS model </help>
</parameter>
<parameter key ="FSreconditioning" type="double" default="10000000000000">
     <section name="stressbalance" />
     <help> multiplier for incompressibility equation. Only for FS model </help>
</parameter>
<parameter key ="referential" type="double" default="N/A">
     <section name="stressbalance" />
     <help> local referential </help>
</parameter>
<parameter key ="loadingforce" type="double" default="N/A">
     <section name="stressbalance" />
     <help> loading force applied on each point [N/m^3] </help>
</parameter>
<parameter key ="requested_outputs" type="cell" default="{'default'}">
     <section name="stressbalance" />
     <help> additional outputs requested </help>
</parameter>
</frame>


<!-- groundingline -->
<frame key="1" label="Grounding line migration parameters">
<section name="groundingline" />
<parameter key ="migration" type="char" default="'None'">
     <section name="groundingline" />
     <help> type of grounding line migration: "SoftMigration","AgressiveMigration" or "None" </help>
</parameter>
<parameter key ="melting_rate" type="double" default="0">
     <section name="groundingline" />
     <help> melting rate applied when previously grounded parts start floating [m/yr] </help>
</parameter></frame>


<!-- Hydrology -->
<frame key="1" label="Hydrologyshreve solution parameters">
<section name="hydrologyshreve" />
<parameter key ="spcwatercolumn" type="double" default="N/A">
     <section name="hydrologyshreve" />
     <help> water thickness constraints (NaN means no constraint) [m] </help>
</parameter>
<parameter key ="n" type="double" default="0.02">
     <section name="hydrologyshreve" />
     <help> Manning roughness coefficient </help>
</parameter>
<parameter key ="CR" type="double" default="0.01">
     <section name="hydrologyshreve" />
     <help> tortuosity parameter </help>
</parameter>
<parameter key ="p" type="double" default="2">
     <section name="hydrologyshreve" />
     <help> dimensionless exponent in Manning velocity formula </help>
</parameter>
<parameter key ="q" type="double" default="1">
     <section name="hydrologyshreve" />
     <help> dimensionless exponent in Manning velocity formula </help>
</parameter>
<parameter key ="kn" type="double" default="0">
     <section name="hydrologyshreve" />
     <help> parameter in effective pressure formula </help>
</parameter>
<parameter key ="stabilization" type="double" default="1">
     <section name="hydrologyshreve" />
     <help> artificial diffusivity (default is 1). can be more than 1 to increase diffusivity. </help>
</parameter>
</frame>
<!-- masstransport -->
<frame key="1" label="Masstransport solution parameters">
<section name="masstransport" />
  <parameter key ="spcthickness" type="double" default="N/A">
     <section name="masstransport" />
     <help> thickness constraints (NaN means no constraint) [m] </help>
  </parameter>
  <parameter key ="calvingrate" type="double" default="N/A">
     <section name="masstransport" />
     <help> calving rate at given location [m/a] </help>
  </parameter>
  <parameter key ="isfreesurface" type="double" default="0">
     <section name="masstransport" />
     <help> do we use free surfaces (FS only) are mass conservation </help>
  </parameter>
  <parameter key ="min_thickness" type="double" default="1">
     <section name="masstransport" />
     <help> minimum ice thickness allowed [m] </help>
  </parameter>
  <parameter key ="hydrostatic_adjustment" type="char" default="'Absolute'">
     <section name="masstransport" />
     <help> adjustment of ice shelves surface and bed elevations: 'Incremental' or 'Absolute'  </help>
  </parameter>
  <parameter key ="stabilization" type="double" default="1">
     <section name="masstransport" />
     <help> 0: no, 1:  artificial_diffusivity, 2: streamline upwinding, 3: discontinuous Galerkin </help>
  </parameter>
</frame>
<frame key="2" label="Penalty options">
<section name="masstransport" />
  <parameter key ="vertex_pairing" type="double" default="N/A">
     <section name="masstransport" />
     <help> offset used by penalties: penalty = Kmax*10^offset </help>
  </parameter>
  <parameter key ="penalty_factor" type="double" default="3">
     <section name="masstransport" />
     <help> pairs of vertices that are penalized </help>
  </parameter>
  <parameter key ="requested_outputs" type="cell" default="{'default'}">
     <section name="masstransport" />
     <help> additional outputs requested </help>
  </parameter>
</frame>
<!-- thermal -->
<frame key="1" label="Thermal solution parameters">
<section name="thermal" />
  <parameter key ="spctemperature" type="double" default="N/A">
     <section name="thermal" />
     <help> temperature constraints (NaN means no constraint) [K] </help>
  </parameter>
  <parameter key ="penalty_threshold" type="double" default="0">
     <section name="thermal" />
     <help> 0: no, 1: artificial_diffusivity, 2: SUPG </help>
  </parameter>
  <parameter key ="stabilization" type="double" default="1">
     <section name="thermal" />
     <help> maximum number of non linear iterations </help>
  </parameter>
  <parameter key ="maxiter" type="double" default="100">
     <section name="thermal" />
     <help> stabilize unstable thermal constraints that keep zigzagging after n iteration (default is 0, no stabilization) </help>
  </parameter>
  <parameter key ="penalty_lock" type="double" default="0">
     <section name="thermal" />
     <help> threshold to declare convergence of thermal solution (default is 0)  </help>
  </parameter>
  <parameter key ="penalty_factor" type="double" default="3">
     <section name="thermal" />
     <help> scaling exponent (default is 3) </help>
  </parameter>
  <parameter key ="isenthalpy" type="double" default="0">
     <section name="thermal" />
     <help> use an enthalpy formulation to include temperate ice (default is 0) </help>
  </parameter>
  <parameter key ="isdynamicbasalspc" type="double" default="0">
     <section name="thermal" />
     <help> enable dynamic setting of basal forcing. required for enthalpy formulation (default is 0)  </help>
  </parameter>
  <parameter key ="requested_outputs" type="cell" default="{'default'}">
     <section name="thermal" />
     <help> additional outputs requested </help>
  </parameter>
</frame>
<!-- steadystate -->
<frame key="1" label="steadystate solution parameters">
<section name="steadystate" />
  <parameter key ="reltol" type="double" default="0.01">
     <section name="steadystate" />
     <help> relative tolerance criterion [K] </help>
  </parameter>
  <parameter key ="maxiter" type="double" default="100">
     <section name="steadystate" />
     <help> maximum number of iterations </help>
  </parameter>
  <parameter key ="requested_outputs" type="cell" default="{'default'}">
     <section name="steadystate" />
     <help> additional requested outputs </help>
  </parameter>
</frame>
<!-- transient -->
<frame key="1" label="transient solution parameters">
<section name="transient" />
  <parameter key ="ismasstransport" type="double" default="1">
     <section name="transient" />
     <help> indicates whether a masstransport solution is used in the transient </help>
  </parameter>
  <parameter key ="isstressbalance" type="double" default="1">
     <section name="transient" />
     <help> indicates whether a stressbalance solution is used in the transient </help>
  </parameter>
  <parameter key ="isthermal" type="double" default="1">
     <section name="transient" />
     <help> indicates whether a thermal solution is used in the transient </help>
  </parameter>
  <parameter key ="isgroundingline" type="double" default="0">
     <section name="transient" />
     <help> indicates whether a groundingline migration is used in the transient </help>
  </parameter>
  <parameter key ="isgia" type="double" default="0">
     <section name="transient" />
     <help> indicates whether a postglacial rebound model is used in the transient </help>
  </parameter>
  <parameter key ="isdamage" type="double" default="0">
     <section name="transient" />
     <help> indicates whether damage evolution is used in the transient </help>
  </parameter>
  <parameter key ="islevelset" type="double" default="0">
     <section name="transient" />
     <help> LEVEL SET DESCRIPTION...  </help>
  </parameter>
  <parameter key ="requested_outputs" type="cell" default="{'default'}">
     <section name="transient" />
     <help> list of additional outputs requested </help>
  </parameter>
</frame>
<!-- gia -->
<frame key="1" label="gia parameters">
<section name="gia" />
  <parameter key ="mantle_viscosity" type="double" default="N/A">
     <section name="gia" />
     <help> mantle viscosity[Pa s] </help>
  </parameter>
  <parameter key ="lithosphere_thickness" type="double" default="N/A">
     <section name="gia" />
     <help> lithosphere thickness (km) </help>
  </parameter>
  <parameter key ="cross_section_shape" type="double" default="1">
     <section name="gia" />
     <help> 1: square-edged (default). 2: elliptical.  See iedge in GiaDeflectionCore </help>
  </parameter>
</frame>
<!-- autodiff -->
<frame key="1" label="automatic differentiation parameters">
<section name="autodiff" />
  <parameter key ="isautodiff" type="logical" optional="false">
     <section name="autodiff" />
         <option value="false" type="string" default="true"></option>
     <help> indicates if the automatic differentiation is activated </help>
  </parameter>
  <parameter key ="dependents" type="cell" default="(0x0)">
     <section name="autodiff" />
     <help> list of dependent variables </help>
  </parameter>
  <parameter key ="independents" type="cell" default="(0x0)">
     <section name="autodiff" />
     <help> list of independent variables </help>
  </parameter>
  <parameter key ="driver" type="char" default="'fos_forward'">
     <section name="autodiff" />
     <help> ADOLC driver ('fos_forward' or 'fov_forward') </help>
  </parameter>
  <parameter key ="obufsize" type="double" default="524288">
     <section name="autodiff" />
     <help> Number of operations per buffer (==OBUFSIZE in usrparms.h)  </help>
  </parameter>
  <parameter key ="lbufsize" type="double" default="524288">
     <section name="autodiff" />
     <help> Number of locations per buffer (==LBUFSIZE in usrparms.h) </help>
  </parameter>
  <parameter key ="cbufsize" type="double" default="524288">
     <section name="autodiff" />
     <help> Number of values per buffer (==CBUFSIZE in usrparms.h) </help>
  </parameter>
  <parameter key ="tbufsize" type="double" default="524288">
     <section name="autodiff" />
     <help> Number of taylors per buffer (&amp;lt;=TBUFSIZE in usrparms.h) </help>
  </parameter>
  <parameter key ="gcTriggerRatio" type="double" default="2">
     <section name="autodiff" />
     <help> free location block sorting/consolidation triggered if the ratio between allocated and used locations exceeds gcTriggerRatio </help>
  </parameter>
  <parameter key ="gcTriggerRatio" type="double" default="2">
     <section name="autodiff" />
     <help> free location block sorting/consolidation triggered if the allocated locations exceed gcTriggerMaxSize </help>
  </parameter>
</frame>
<!-- flaim -->
<frame key="1" label="Input:">
<section name="flaim" />
  <parameter key ="targets" type="char" default="N/A">
     <section name="flaim" />
     <help> name of kml output targets file </help>
  </parameter>
  <parameter key ="tracks" type="char" default="N/A">
     <section name="flaim" />
     <help> name of kml input tracks file </help>
  </parameter>
  <parameter key ="flightreqs" type="struct" default="N/A">
     <section name="flaim" />
     <help> structure of kml flight requirements (not used yet) </help>
  </parameter>
  <parameter key ="criterion" type="double" default="N/A">
     <section name="flaim" />
     <help> element or nodal criterion for flight path evaluation (metric) </help>
  </parameter>
</frame>
<frame key="2" label="Arguments:">
<section name="flaim" />
  <parameter key ="gridsatequator" type="double" default="200000">
     <section name="flaim" />
     <help> number of grids at equator (determines resolution) </help>
  </parameter>
  <parameter key ="usevalueordering" type="logical" optional="false">
     <section name="flaim" />
         <option value="true" type="string" default="true"></option>
     <help> flag to consider target values for flight path evaluation </help>
  </parameter>
  <parameter key ="split_antimeridian" type="logical" optional="false">
     <section name="flaim" />
         <option value="true" type="string" default="true"></option>
     <help> flag to split polygons on the antimeridian </help>
  </parameter>
</frame>
<frame key="3" label="Optimization:">
<section name="flaim" />
  <parameter key ="path_optimize" type="logical" optional="false">
     <section name="flaim" />
         <option value="false" type="string" default="true"></option>
     <help> optimize? (default false) </help>
  </parameter>
  <parameter key ="opt_ndir" type="double" default="1">
     <section name="flaim" />
     <help> number of directions to test when moving a point.  If this value = 1, a random direction is tested. A value > 1 results in directions equally spaced from [0, 2*PI] being tested. For example, 4 would result in directions [0, PI/2, PI, 3PI/2] </help>
  </parameter>
  <parameter key ="opt_dist" type="double" default="25">
     <section name="flaim" />
     <help> specifies the distance in km (default 25) to move a randomly selected path point on each iteration </help>
  </parameter>
  <parameter key ="opt_niter" type="double" default="30000">
     <section name="flaim" />
     <help> number of iterations (default 30,000) to run for flightplan optimization, i.e. the number of times to randomly select a point and move it. </help>
  </parameter>
</frame>
<frame key="4" label="Output:">
<section name="flaim" />
  <parameter key ="solution" type="char" default="N/A">
     <section name="flaim" />
     <help> name of kml solution file </help>
  </parameter>
  <parameter key ="quality" type="double" default="0">
     <section name="flaim" />
     <help> quality of kml solution </help>
  </parameter>
</frame>
<!-- inversion -->
<frame key="1" label="inversion parameters">
<section name="inversion" />
  <parameter key ="iscontrol" type="double" default="0">
     <section name="inversion" />
     <help> is inversion activated? </help>
  </parameter>
  <parameter key ="incomplete_adjoint" type="double" default="1">
     <section name="inversion" />
     <help> 1: linear viscosity, 0: non-linear viscosity </help>
  </parameter>
  <parameter key ="control_parameters" type="cell" default="{'FrictionCoefficient'}">
     <section name="inversion" />
     <help> ex: {'FrictionCoefficient'}, or {'MaterialsRheologyBbar'} </help>
  </parameter>
  <parameter key ="nsteps" type="double" default="20">
     <section name="inversion" />
     <help> number of optimization searches </help>
  </parameter>
  <parameter key ="cost_functions" type="double" default="101">
     <section name="inversion" />
     <help> indicate the type of response for each optimization step  </help>
  </parameter>
  <parameter key ="cost_functions_coefficients" type="double" default="N/A">
     <section name="inversion" />
     <help> cost_functions_coefficients applied to the misfit of each vertex and for each control_parameter </help>
  </parameter>
  <parameter key ="cost_function_threshold" type="double" default="N/A">
     <section name="inversion" />
     <help> misfit convergence criterion. Default is 1%, NaN if not applied </help>
  </parameter>
  <parameter key ="maxiter_per_step" type="double" default="(20x1)">
     <section name="inversion" />
     <help> maximum iterations during each optimization step  </help>
  </parameter>
  <parameter key ="gradient_scaling" type="double" default="(20x1)">
     <section name="inversion" />
     <help> scaling factor on gradient direction during optimization, for each optimization step </help>
  </parameter>
  <parameter key ="step_threshold" type="double" default="(20x1)">
     <section name="inversion" />
     <help> decrease threshold for misfit, default is 30% </help>
  </parameter>
  <parameter key ="min_parameters" type="double" default="N/A">
     <section name="inversion" />
     <help> absolute minimum acceptable value of the inversed parameter on each vertex </help>
  </parameter>
  <parameter key ="max_parameters" type="double" default="N/A">
     <section name="inversion" />
     <help> absolute maximum acceptable value of the inversed parameter on each vertex </help>
  </parameter>
  <parameter key ="vx_obs" type="double" default="N/A">
     <section name="inversion" />
     <help> observed velocity x component [m/yr] </help>
  </parameter>
  <parameter key ="vy_obs" type="double" default="N/A">
     <section name="inversion" />
     <help> observed velocity y component [m/yr]  </help>
  </parameter>
  <parameter key ="vel_obs" type="double" default="N/A">
     <section name="inversion" />
     <help> observed velocity magnitude [m/yr] </help>
  </parameter>
  <parameter key ="thickness_obs" type="double" default="N/A">
     <section name="inversion" />
     <help> observed thickness [m]) </help>
  </parameter>
</frame>
<frame key="2" label="Available cost functions">
<section name="inversion" />
  <parameter key ="SurfaceAbsVelMisfit" type="string" default="101">
     <section name="inversion" />
     <help>  </help>
  </parameter>
  <parameter key ="SurfaceRelVelMisfit" type="string" default="102">
     <section name="inversion" />
     <help>   </help>
  </parameter>
  <parameter key ="SurfaceLogVelMisfit" type="string" default="103">
     <section name="inversion" />
     <help>  </help>
  </parameter>
  <parameter key ="SurfaceLogVxVyMisfit" type="string" default="104">
     <section name="inversion" />
     <help>  </help>
  </parameter>
  <parameter key ="SurfaceAverageVelMisfit" type="string" default="105">
     <section name="inversion" />
     <help>   </help>
  </parameter>
  <parameter key ="ThicknessAbsMisfit" type="string" default="106">
     <section name="inversion" />
     <help>  </help>
  </parameter>
  <parameter key ="DragCoefficientAbsGradient" type="string" default="107">
     <section name="inversion" />
     <help>  </help>
  </parameter>
  <parameter key ="RheologyBbarAbsGradient" type="string" default="108">
     <section name="inversion" />
     <help>  </help>
  </parameter>
  <parameter key ="ThicknessAbsGradient" type="string" default="109">
     <section name="inversion" />
     <help> </help>
  </parameter>
</frame>
<!-- qmu -->
<frame key="1" label="qmu parameters">
<section name="qmu" />
  <parameter key ="isdakota" type="double" default="0">
     <section name="qmu" />
     <help> is qmu analysis activated? </help>
  </parameter>
  <parameter key ="variables" type="struct" default="N/A">
     <section name="qmu" />
     <help> (arrays of each variable class) </help>
  </parameter>
  <parameter key ="responses" type="struct" default="N/A">
     <section name="qmu" />
     <help> (arrays of each response class) </help>
  </parameter>
  <parameter key ="numberofresponses" type="double" default="0">
     <section name="qmu" />
     <help> number of responses </help>
  </parameter>
  <parameter key ="params" type="struct" default="N/A">
     <section name="qmu" />
     <help> (array of method-independent parameters)  </help>
  </parameter>
  <parameter key ="results" type="struct" default="N/A">
     <section name="qmu" />
     <help> (information from dakota files) </help>
  </parameter>
  <parameter key ="partition" type="double" default="N/A">
     <section name="qmu" />
     <help> user provided mesh partitioning, defaults to metis if not specified </help>
  </parameter>
  <parameter key ="numberofpartitions" type="double" default="0">
     <section name="qmu" />
     <help> number of partitions for semi-discrete qmu  </help>
  </parameter>
  <parameter key ="variabledescriptors" type="cell" default="(0x0)">
     <section name="qmu" />
     <help>  </help>
  </parameter>
  <parameter key ="responsedescriptors" type="cell" default="(0x0)">
     <section name="qmu" />
     <help> use an enthalpy formulation to include temperate ice (default is 0) </help>
  </parameter>
  <parameter key ="method" type="struct" default="N/A">
     <section name="qmu" />
     <help> array of dakota_method class </help>
  </parameter>
  <parameter key ="mass_flux_profile_directory" type="double" default="N/A">
     <section name="qmu" />
     <help> directory for mass flux profiles </help>
  </parameter>
  <parameter key ="mass_flux_profiles" type="double" default="N/A">
     <section name="qmu" />
     <help>  </help>
  </parameter>
  <parameter key ="mass_flux_segments" type="cell" default="(0x0)">
     <section name="qmu" />
     <help>  </help>
  </parameter>
  <parameter key ="adjacency" type="double" default="N/A">
     <section name="qmu" />
     <help> additional outputs requested </help>
  </parameter>
  <parameter key ="vertex_weight" type="double" default="N/A">
     <section name="qmu" />
     <help> weight applied to each mesh vertex </help>
  </parameter>
</frame>
<!-- outputdefinition -->
<frame key="1" label="outputdefinition">
<section name="outputdefinition" />
  <parameter key ="definitions" type="cell" default="(0x0)">
     <section name="outputdefinition" />
     <help> list of potential outputs that can be requested, but which need additional data to be defined </help>
  </parameter>
</frame>
<!-- miscellaneous -->
<frame key="1" label="miscellaneous parameters">
<section name="miscellaneous" />
  <parameter key ="notes" type="char" default="N/A">
     <section name="miscellaneous" />
     <help> notes in a cell of strings </help>
  </parameter>
  <parameter key ="name" type="char" default="N/A">
     <section name="miscellaneous" />
     <help> model name </help>
  </parameter>
  <parameter key ="dummy" type="struct" default="N/A">
     <section name="miscellaneous" />
     <help> empty field to store some data </help>
  </parameter>
</frame>


</inishell_config>